2

This release of WPML focuses on “under-the-hood” improvements, with one goal. To improve stability and integration.

Overall, this release handles over 70 issues. Here are the highlights.

Page Builder Compatibility Improvements

This release packs a nice list of improvements for Avada, Elementor, Beaver Builder and Divi.

For Avada, we’ve added and improved the translation support for dynamic fields, layouts and sections. We’ve also added a warning that will protect users from accidentally overwriting translation that’s “in progress”.

For Elementor, we’ve improved the support for link fields, maintenance mode, template translation, and custom captions.

For Beaver Builder, we’ve improved the handling for global modules, front-end editor support, and various modules.

For Divi, we’ve fixed the integration with Search, so that visitors stay in the right language. We’re also covering odd cases where you’re using combinations of Divi builder and theme-builder modules. And we added support for translating background images for columns.

Performance and Large Sites

WPML 4.3.12 improves the logic for translating custom fields. This greatly improves performance for posts that have lots and lots of fields.

And Much More…

Complete list of fixes:

How to Update

As always, the best way to update WPML on your sites is automatically. WordPress will tell you that the new version is ready. Click on Update for all the WPML components that you’re using and you’re all set.

We push new versions gradually. If you need this version quickly and you’re not seeing it in the WordPress Updates, you can force it. In the WordPress admin, go to the Plugins  Add New page, click the Commercial tab, and then click Check for updates. This will force the installation of the current version, without waiting for “your turn to arrive”.

How to force WPML update
How to force WPML update

You can always download WPML manually from your account.

Feedback? Ideas? Questions?

Leave your comments and we’ll write back.

2 Responses to “WPML 4.3.12 – All-Around Improvements and Compatibility”

    • Hi, no we didn’t add special compatibility for Brizy, you can still use Brizy with manual translation as before.